%define major 9
%define libname %mklibname drizzle %{major}
%define develname %mklibname drizzle -d

Summary:	Drizzle Client & Protocol Library
Name:		libdrizzle
Version:	5.1.4
Release:	%mkrel 6
License:	BSD
Group:		System/Libraries
URL:		https://launchpad.net/libdrizzle
Source0:	https://launchpad.net/libdrizzle/5.1/%{version}/+download/libdrizzle-%{version}.tar.gz
BuildRequires:	zlib-devel

%description
This is the the client and protocol library for the Drizzle project. The
server, drizzled, will use this as for the protocol library, as well as the
client utilities and any new projects that require low-level protocol
communication (like proxies). Other language interfaces (PHP extensions, SWIG,
...) should be built off of this interface.

%package -n	%{libname}
Summary:	Drizzle Client & Protocol Library
Group:		System/Libraries

%description -n	%{libname}
This is the the client and protocol library for the Drizzle project. The
server, drizzled, will use this as for the protocol library, as well as the
client utilities and any new projects that require low-level protocol
communication (like proxies). Other language interfaces (PHP extensions, SWIG,
...) should be built off of this interface.

%package -n	%{develname}
Summary:	Drizzle Client & Protocol Library - Header files
Group:		Development/C
Requires:	%{libname} >= %{version}
Provides:	%{name}-devel = %{version}

%description -n	%{develname}
Development files for the Drizzle Client & Protocol Library.

%prep

%setup -q

%build
export LIBS="-lpthread"
%configure2_5x --disable-static
%make

%check
make check

%install
%makeinstall_std
rm -f %{buildroot}%{_libdir}/*.la

%multiarch_binaries %{buildroot}%{_bindir}/libdrizzle-config

%files -n %{libname}
%{_libdir}/lib*.so.%{major}{,.*}

%files -n %{develname}
%doc AUTHORS COPYING
%{_bindir}/libdrizzle-config
%multiarch %{multiarch_bindir}/libdrizzle-config
%{_includedir}/*
%{_libdir}/lib*.so


%changelog
* Tue Feb 02 2016 umeabot <umeabot> 5.1.4-6.mga6
+ Revision: 931701
- Mageia 6 Mass Rebuild

* Wed Oct 15 2014 umeabot <umeabot> 5.1.4-5.mga5
+ Revision: 750388
- Second Mageia 5 Mass Rebuild

* Tue Sep 16 2014 umeabot <umeabot> 5.1.4-4.mga5
+ Revision: 681422
- Mageia 5 Mass Rebuild

* Sat Oct 19 2013 umeabot <umeabot> 5.1.4-3.mga4
+ Revision: 527927
- Mageia 4 Mass Rebuild

* Fri Jun 14 2013 fwang <fwang> 5.1.4-2.mga4
+ Revision: 442954
- drop .la file

* Thu Jun 13 2013 oden <oden> 5.1.4-1.mga4
+ Revision: 442838
- fix deps
- 5.1.4

* Sat Jan 12 2013 umeabot <umeabot> 0.8-3.mga3
+ Revision: 357008
- Mass Rebuild - https://wiki.mageia.org/en/Feature:Mageia3MassRebuild

* Sun Feb 06 2011 spuhler <spuhler> 0.8-2.mga1
+ Revision: 47619
- removed buildroot definition from .spec
  removed the if mdkversion lines
- imported package libdrizzle


* Thu Nov 25 2010 Oden Eriksson <oeriksson@mandriva.com> 0.8-2mdv2011.0
+ Revision: 601042
- rebuild

* Tue Mar 23 2010 Oden Eriksson <oeriksson@mandriva.com> 0.8-1mdv2010.1
+ Revision: 526720
- 0.8

* Wed Jan 13 2010 Oden Eriksson <oeriksson@mandriva.com> 0.7-1mdv2010.1
+ Revision: 490640
- 0.7

* Sat Dec 19 2009 Oden Eriksson <oeriksson@mandriva.com> 0.6-1mdv2010.1
+ Revision: 480132
- 0.6

* Sun Nov 29 2009 Oden Eriksson <oeriksson@mandriva.com> 0.5-1mdv2010.1
+ Revision: 471382
- 0.5

* Sun Jul 05 2009 Oden Eriksson <oeriksson@mandriva.com> 0.4-1mdv2010.0
+ Revision: 392656
- 0.4

* Thu Jul 02 2009 Oden Eriksson <oeriksson@mandriva.com> 0.3-3mdv2010.0
+ Revision: 391817
- fix deps

* Wed Jul 01 2009 Oden Eriksson <oeriksson@mandriva.com> 0.3-2mdv2010.0
+ Revision: 391325
- fix provides (duh!)

* Wed Jul 01 2009 Oden Eriksson <oeriksson@mandriva.com> 0.3-1mdv2010.0
+ Revision: 391318
- import libdrizzle


* Wed Jul 01 2009 Oden Eriksson <oeriksson@mandriva.com> 0.3-1mdv2009.0
- initial Mandriva package

* Fri Apr 24 2009 Lenz Grimmer <lenz@grimmer.com>
- Added -devel subpackage, updated file list
- Fixed rpmlint errors and warnings

* Tue Jan 13 2009 Eric Day <eday@oddments.org> - 0.1-1
- Initial package
